Package com.xebialabs.xlrelease.domain

## Class Trigger

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseScript
    - - com.xebialabs.xlrelease.domain.BasePythonScript
      - - com.xebialabs.xlrelease.domain.Trigger

- All Implemented Interfaces:
    `ConfigurationItem`, `CiWithUid`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `ScheduledTrigger`

      @Metadata(versioned=false,
                virtual=true)
      public abstract class Trigger
      extends BasePythonScript
      implements CiWithUid

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ALLOW_PARALLEL_EXECUTION` |
    `protected boolean` | `allowParallelExecution` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Trigger()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getAllowParallelExecution()` |
    `java.lang.Integer` | `getCiUid()` |
    `abstract java.lang.String` | `getContainerId()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getFolderId()` |
    `java.util.List<java.lang.String>` | `getInternalProperties()` |
    `java.util.Date` | `getLastRunDate()` |
    `TriggerExecutionStatus` | `getLastRunStatus()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getTriggerState()` |
    `boolean` | `isEnabled()` |
    `void` | `setAllowParallelExecution​(boolean allowParallelExecution)` |
    `void` | `setCiUid​(java.lang.Integer ciUid)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setLastRunDate​(java.util.Date lastRunDate)` |
    `void` | `setLastRunStatus​(TriggerExecutionStatus lastRunStatus)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setTriggerState​(java.lang.String triggerState)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseScript

      `getAbortScript, getScript`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Field Detail

    - #### ALLOW_PARALLEL_EXECUTION

          public static final java.lang.String ALLOW_PARALLEL_EXECUTION

      See Also:
        Constant Field Values

    - #### allowParallelExecution

          @Property(category="hidden",
                    defaultValue="false",
                    isTransient=true,
                    description="Allows parallel execution of triggers (ie parallel processing of execute requests/scripts).")
          protected boolean allowParallelExecution

  - ### Constructor Detail

    - #### Trigger

          public Trigger()

  - ### Method Detail

    - #### getCiUid

          public java.lang.Integer getCiUid()

      Specified by:
        `getCiUid` in interface `CiWithUid`

    - #### setCiUid

          public void setCiUid​(java.lang.Integer ciUid)

      Specified by:
        `setCiUid` in interface `CiWithUid`

    - #### getInternalProperties

          public java.util.List<java.lang.String> getInternalProperties()

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### getTriggerState

          public java.lang.String getTriggerState()

    - #### setTriggerState

          public void setTriggerState​(java.lang.String triggerState)

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getAllowParallelExecution

          public boolean getAllowParallelExecution()

    - #### setAllowParallelExecution

          public void setAllowParallelExecution​(boolean allowParallelExecution)

    - #### getLastRunDate

          public java.util.Date getLastRunDate()

    - #### setLastRunDate

          public void setLastRunDate​(java.util.Date lastRunDate)

    - #### getLastRunStatus

          public TriggerExecutionStatus getLastRunStatus()

    - #### setLastRunStatus

          public void setLastRunStatus​(TriggerExecutionStatus lastRunStatus)

    - #### getContainerId

          public abstract java.lang.String getContainerId()